import { type GetCategoriesParams } from './types';

export const categoriesKeys = {
  all: () => ['categories'],
  list: {
    all: () => [...categoriesKeys.all(), 'list'],
    paginated: (params: GetCategoriesParams) => [
      ...categoriesKeys.list.all(),
      JSON.stringify(params),
    ],
  },
};
